#!/bin/sh
# These variables should not be changed
PROG=$(basename "$0")
BASEDIR=$(dirname "$0")/../..
SRCDIR=$BASEDIR/code/src
BINDIR=$BASEDIR/code/bin
LIBDIR=$BASEDIR/code/lib
SCRIPTDIR=$BASEDIR/code/scripts
PAPERDIR=$BASEDIR/sp13
FIGUREDIR=$PAPERDIR/figures
EXPERIMENTDIR=$BASEDIR/experiments

# These variables can be changed depending on experiments
NUMRUN=3
TESTCASE=quick
DATADIR=$EXPERIMENTDIR/$TESTCASE
HADOOPINPUT=input-$TESTCASE
HADOOPOUTPUT=output-$TESTCASE

export CLASSPATH=$LIBDIR/*
mkdir -p $DATADIR

JARFILE=$BINDIR/count.jar


# parameters file
PARAMFILE=$DATADIR/params.txt

# benchmark results file
BENCHMARKFILE=$EXPERIMENTDIR/cost-analysis/benchmark.csv


# request file
REQUESTFILE=$DATADIR/request

# answer file
ANSWERFILE=$DATADIR/answer

# prefix of data file(s)
INPUT=$DATADIR/data

# statistics of data generated by Producer
OUTPUT_ORIG=$DATADIR/stat-orig.txt

# statistics of data computed by Wordcount on encrypted data
OUTPUT_EPIC=$DATADIR/stat-epic.txt

# statistics of data computed by Wordcount on unencrypted data
OUTPUT_PLAIN=$DATADIR/stat-plain.txt

AMAZONFILE=data/data



