#!/bin/sh
. $(dirname "$0")/common.sh

CURDIR=`pwd`

cd $EXPERIMENTDIR/amazon
gnuplot datasize.plot
gnuplot domain.plot
gnuplot record.plot
gnuplot effectmultiple.plot
gnuplot multiplequery.plot
cd $CURDIR

cd $EXPERIMENTDIR/cost-analysis
gnuplot benchmark.plot
gnuplot sizep.plot
gnuplot storage.plot
gnuplot comm.plot
cd $CURDIR

# convert EPS to PDf
$SCRIPTDIR/generatePDFfromEPS $EXPERIMENTDIR/amazon
$SCRIPTDIR/generatePDFfromEPS $EXPERIMENTDIR/cost-analysis

# remove EPS
find $EXPERIMENTDIR -name "*.eps" -delete

# move all plots to paper/figures directory
find $EXPERIMENTDIR -name "*.pdf" | xargs -I {} mv {} $FIGUREDIR/

