#!/bin/sh
. $(dirname "$0")/common.sh

usage() {
	echo "Generating data."
	echo "Usage: $PROG <quantity> [-p]"
	echo "   quantity   number of records generated.\n"
	echo "   -p         writes to standard output.\n"
	echo "This script uses $PARAMFILE as parameter file."
	echo "Generated ciphertext are stored in $INPUT."
	echo "Statistics are stored in $OUTPUT_ORIG."
}

if [ $# -lt 1 ]; then
	usage
	exit 1
fi

rm -f $INPUT*

if [ "$2" = "-p" ]; then
	INPUT=""
fi

#java -cp $CLASSPATH:$JARFILE common.Producer $1 $PARAMFILE $OUTPUT_ORIG $INPUT
#hadoop fs -rmr -skipTrash $HADOOPINPUT
#hadoop fs -mkdir $HADOOPINPUT
#hadoop fs -put $INPUT* $HADOOPINPUT/

hadoop jar $JARFILE mapred.Producer -Dparamfile=$(basename $PARAMFILE) -Dquantity=$1 $HADOOPINPUT
hadoop fs -rmr -skipTrash $HADOOPINPUT/_*
