#!/bin/sh

. $(dirname "$0")/common.sh

usage() {
    echo "Usage: $PROG <epic|plain>"
    echo "   epic                 EPiC counting."
    echo "   plain                Plain text counting."
}

if [ "$1" != "epic" -a "$1" != "plain" ]; then
    usage
    exit 1
fi

CHECKHADOOP=`which hadoop`
if [ -z "$CHECKHADOOP" ]; then
    echo "Please add hadoop executable to your PATH environment."
    exit 1
fi

FLAGS="$FLAGS -Dparamfile=$(basename $PARAMFILE)"
FLAGS="$FLAGS -Dstatfile=$(basename $OUTPUT_ORIG)"
FLAGS="$FLAGS -Dmapred=$1"


# run hadoop
hadoop jar $JARFILE mapred.Count $FLAGS $HADOOPINPUT $HADOOPOUTPUT && \
rm -f $ANSWERFILE && \
hadoop fs -get $HADOOPOUTPUT/part-00000 $ANSWERFILE

# copy the stat orig from HDFS to data dir
if [ ! -z $QUANTITY ]; then
	rm $OUTPUT_ORIG
	hadoop fs -get $(basename "$OUTPUT_ORIG") $OUTPUT_ORIG
fi


