/**
 * Provides classes needed for encryption and polynomial operations.
 * <dl>
 * <dt>Encryption</dt>
 * <dd>
 * <ul>
 * <li><b>KeyGen</b>: primes <code>p</code> and <code>q</code> are generated in {@link common.GenPrime GenPrime}
 * and security parameters and other parameters are handled in {@link common.Parameters Parameters}.</li>
 * <li><b>Enc</b>, <b>Dec</b>: encryption and decryption are implemented in {@link common.Cipher Cipher}.</li>
 * <li>The encryption scheme is benchmarked by {@link common.Benchmark Benchmark}.</li>
 * </ul>
 * </dd>
 * <dt>Operations on polynomials</dt>
 * <dd>
 * <ul>
 * <li>An implementation of a univariate polynomial is provided by {@link common.Polynomial Polynomial}.</li>
 * <li>User's request is generated by {@link common.ClientRequest ClientRequest}.</li>
 * <li>Processing of cloud's answer is handled at the user side by {@link common.GetAnswer GetAnswer}.
 * For {@link mapred.MapRedNotSendCoeff MapRedNotSendCoeff}, use {@link common.LocalCount LocalCount} instead.</li> 
 * </ul> 
 * </dd>
 * <dt>Data manipulation</dt>
 * <dd>
 * <ul>
 * <li>A data set contains a number of records. Each record has multiple fields. The storing format of each record is defined in {@link common.Record Record}.</li>
 * <li>Multiple fields in a record are handled in MapReduce framework by {@link common.MultiFieldKey MultiFieldKey} and {@link common.MultiArray MultiArray}.</li> 
 * <li>To generate data, see {@link common.Producer Producer}. While data is generate, statistics are collected by {@link common.Statistics Statistics}.</li>
 * </ul>
 * </dd>
 * </dl>
 * 
 * @author vohuudtr
 */
package common;
