package mapred;
import java.io.IOException;

import org.apache.hadoop.io.LongWritable;
import org.apache.hadoop.mapred.FileInputFormat;
import org.apache.hadoop.mapred.FileSplit;
import org.apache.hadoop.mapred.InputSplit;
import org.apache.hadoop.mapred.JobConf;
import org.apache.hadoop.mapred.RecordReader;
import org.apache.hadoop.mapred.Reporter;

import common.Record;

/**
 * Provides customized input format for MapReduce counting jobs.
 * 
 * @author vohuudtr
 *
 */
public class RecordInputFormat extends FileInputFormat<LongWritable, Record> {

	@Override
	public RecordReader<LongWritable, Record> getRecordReader(
			InputSplit split, JobConf conf, Reporter reporter)
			throws IOException {
		return new CustomRecordReader(conf, (FileSplit)split);
	}
}

