package obsolete;

import java.math.BigInteger;

import common.Parameters;
import common.Polynomial;

@Deprecated
public class PolyMatrix {
	/**
	 * Array of polynomial P_v(x)
	 */
	private Polynomial[] p;

	/**
	 * Temporary array of first-element polynomial P(x)=x-v.
	 */
	private Polynomial[] firstDegreeP;

	/**
	 * Constructor.
	 * 
	 * @param size_D
	 *            size of input domain D.
	 */
	public PolyMatrix(int size_D) {
		int v;

		p = new Polynomial[size_D];
		firstDegreeP = new Polynomial[size_D];

		// Initialize each firstDegreeP_v(x) = x - v
		for (v = 0; v < size_D; v++) {
			firstDegreeP[v] = new Polynomial(new int[] { -v, 1 });
		}

		// Initialize each P_v(x) = x(x-1)...(x-v+1)(x-v-1)...(x-(size_D-1)) /
		// [1*2*3*...*(v-1)*(v+1)*...*(size_D-1)]
		for (v = 0; v < size_D; v++) {
			p[v] = new Polynomial(size_D - 1);
			p[v].setCoefficient(0, 1);
			for (int k = 0; k < size_D; k++) {
				if (k != v) {
					p[v] = p[v].multiply(firstDegreeP[k]);
				}
			}

			BigInteger denominator = p[v].value(new BigInteger(Integer
					.toString(v)));
			p[v] = p[v].mod(Parameters.getP())
					.multiply(denominator.modInverse(Parameters.getP()))
					.mod(Parameters.getP());
		}

		//		 for (v = 0; v < size_D; v++) {
		//		 System.out.println(p[2].value(new BigInteger(Integer.toString(v)))
		//		 .mod(Cipher.m));
		//		 }
	}

	/**
	 * Return a specified column in the polynomial matrix.
	 * 
	 * @param v
	 *            index of the requested column.
	 * @return vector representing the requested column.
	 */
	public BigVector getColumn(int v) {
		BigVector col = new BigVector(p.length);
		for (int i = 0; i < p.length; i++)
			col.set(i, p[i].getCoefficient(v));

		return col;
	}

	/**
	 * Return a specified row in the polynomial matrix.
	 * 
	 * @param v
	 *            index of the requested row.
	 * @return vector representing the requested row.
	 */
	public BigVector getRow(int v) {
		return new BigVector(p[v]);
	}

	/**
	 * Return the polynomial corresponding to v.
	 * @param v specified v.
	 * @return the polynomial corresponding to v.
	 */
	public Polynomial getPolynomial(int v) {
		return p[v];
	}

	public static void main(String args[]) {
	}
}
